\label{chap:freeEnergy}

Up to this point, all of the previous models were stated in the so-called zero temperature regime, \ie in the absence of any thermal fluctuations and where stationary states are simply characterized 
%time-independently
by minimizers of the system's potential.
From a biophysical standpoint, however, it often is desirable to further assess the stability of stationary states in a thermodynamic
%al
context.
This leads to the subject of free energy computations, which is motivated in the following paragraphs.

In order to avoid confusion, it is worth emphasizing that the notation in the subsequent presentation is essentially based on the one established in the previous chapters.
In particular, some of the notation is unavoidably in disagreement with the conventions from standard literature on statistical mechanics and thermodynamics.

First, let $\cD \subseteq \R^{n\times k}$ again be a space of feasible particle configurations, and suppose that the system is described by the \emph{separable Hamiltonian}
\begin{align*}
  H(\p,\vel) := \EI(\p) + \Ekin(\vel)
\end{align*}
where $\EI$ is an interaction potential, $\Ekin$ describes the kinetic energy and $\vel \in \R^{n\times k}$ is a velocity vector.
Moreover, the so-called phase space is defined as the set of all feasible
%~ configuration--velocity
position--velocity
pairs and coincides here with the tangent bundle~$\TD = \cD \times \R^{n\times k}$.
This leads to the deterministic \emph{Hamiltonian dynamics}
\begin{align*}
  \p'(t) & = \nabla \Ekin(\vel)
  \\ \vel'(t) & = -\nabla\EI(\p)
  %~ \text{,}
\end{align*}
of the particle system, whose
stochastic counterpart is the \emph{Langevin process}
%~ which again is closely related to the stochastic \emph{Langevin process}
\begin{align}
  \label{eq:langevin}
  \begin{aligned}
    \d{\p(t)} & = \nabla \Ekin(\vel) \d{t}
    \\ \d{\vel(t)} & = -\nabla\EI(\p)\d{t} - \gamma(\vel) \nabla\Ekin(\vel) \d{t} + \sigma(\vel) \d{W_t}
    \text{.}
  \end{aligned}
\end{align}
Here $\sigma(\vel)\d{W_t}$ is fluctuation by a $(n\times k)$-dimensional Brownian motion, which adds energy to the system and which is dissipated by the viscous friction term $-\gamma(\vel)\nabla\Ekin(\vel)$.
This equation aims at describing a particle's motion that essentially follows the above Hamiltonian dynamics while also being embedded into an infinite heat bath which keeps the temperature constant.
While the connection between the Hamiltonian dynamics and the Langevin dynamics is relatively well understood in certain models, see for example \cite{KuStTeTu02}, it is less established in many other cases.

%Hence, in the current context of membrane particle dynamics, the above Langevin equation should be understood as an attempt at stating a phenomenological model which potentially yields a suitable starting point for further statistical mechanical investigations.
%In particular, it 
It is important to emphasize that the purpose of the Langevin dynamics here is not to reproduce the physical behavior in time truthfully but rather to serve as a tool for sampling statistical quantities from time-independent equilibria later on.
In that sense the time parameter~$t$ is always meant in a non-physical way and it is understood that further enhancements of the model may be required.

It is also worth noting that the above model neglects any fluctuations within the biomembrane, which can be interpreted as the implicit assumption that fluctuations of the membrane happen on a much faster timescale  than those of the remaining particles.
Moreover, the fluctuations in the particle parameters~$\p_i$ are modeled by Brownian motion, which is arguably well-established when a $\p_i$ describes a lateral position, but may be a less canonical choice if $\p_i$ describes other degrees of freedom.

As a technicality, it shall be assumed that $H(\p,\vel) \to \infty$ sufficiently fast for $\p \to \partial\cD$ such that trajectories $(\p(t),\vel(t))_{t\geq 0}$ stay inside of the phase space~$\TD$ almost-surely.

%~ \TK{further model work?}
%~ \TK{Note that it is not clear how to choose this in a physical way. But it is helpful for the definition of quantities of statistical mechanics.}

In order to relate the microscopic phase space to a macroscopic state of the system, a \emph{stochastic ensemble} is required, which induces a probability density~$\mu$ on the phase space~$\TD$.
One standard choice is the \emph{canonical ensemble} which describes the system as embedded into an infinite heat bath and with a fixed number of particles, volume, and also temperature.
%Canonical ensemble \TK{fix particle count, volume and temperature} leading to the canonical probability density over the phase space~$\TD$ \TK{REF}
Under the condition that the \emph{fluctuation--dissipation theorem} holds with the consequential relation $\gamma = \frac{1}{2}\sigma^2 \beta$, where $\beta = (k_B T)^{-1}$ denotes \emph{inverse temperature},
it leads to the \emph{canonical measure}
\begin{align*}
  \mu(\p,\vel) := Z_\mu^{-1} \exp(-\beta H(\p,\vel))
  ,\qquad Z_\mu := \int_{\TD} \exp(-\beta H(\p,\vel)) \d{(\p,\vel)}
  \text{.}
\end{align*}
%~ \TK{REF}
Then, given a \emph{microscopic observable} $A\colon \TD \rightarrow \R$, the \emph{macroscopic quantity associated with $A$} is defined by its expectational value with respect to the canonical measure, \ie
\begin{align*}
  \EXP_\mu(A) := \int_{\TD} A(\p,\vel) \d{\mu(\p,v)}\text{.}
\end{align*}
%~ A stochastic 
The dynamics $(\p(t),\vel(t))_{t \geq 0}$ is called \emph{ergodic}, if for every observable holds
\begin{align}
  \label{eq:ergodic}
  \EXP_\mu(A) = \lim_{T\to\infty} \frac{1}{T} \int_0^T A(\p(t), \vel(t))\text{.}
\end{align}
This essentially means that the trajectory $(\p(t),\vel(t))_{t\in\R}$ is able to visit all points in the phase space~$\TD$ while replicating the canonical density~$\mu$.

As a related quantity, the \emph{absolute Helmholtz free energy} is defined up to a constant by
\begin{align*}
  F := -\frac{\ln(Z_\mu)}{\beta}
\end{align*}
and can be interpreted as a measure of stability in the system where a lower free energy means
%fewer and smaller changes in particle states.
a more stable state of the system.
%~ Often
In general,
not the absolute free energy itself but rather the \emph{free energy difference} $\Delta F := F_1 - F_0$ resulting from different Hamiltonians $H_0$ and $H_1$ with the joint phase space~$\TD$ is of interest.
%~ Assuming that these two Hamiltonians are related to each other via a continuous family of Hamiltonians $(H_\lambda)_{\lambda \in [0,1]}$, the free energy difference may be expressed as
%~ \begin{align*}
  %~ \Delta F = TODO
  %= \int_0^1 F;(\lambda) \d{\lambda} = -\frac{1}{\beta} \int_0^1 \log(Z_\mu(\lambda)) \d{\lambda}\text{.}
%~ \end{align*}
However, the evaluation of the integrals $Z_{\mu_0}$ and $Z_{\mu_1}$ by standard quadrature methods usually is prohibitive due to the potentially large dimension of the space $\TD$ as well as the possibly complicated geometry in~$\cD$.
A well-established and numerically feasible way to compute such free energy differences is the \emph{free energy perturbation} method due to Zwanzig~\cite{Zwanzig54}, which relates $\Delta F$ to the observable $A(\p,\vel) := \exp(-\beta(H_1(\p,\vel)-H_0(\p,\vel)))$ via
%~ \begin{align*}
  %~ \exp(-\beta \Delta F)
  %~ = \frac{Z_{\mu_1}}{Z_{\mu_0}}
  %~ & = Z_{\mu_0}^{-1} \int_{\TD} \exp(-\beta H_1(\p,\vel)) \d{(\p,\vel)}
  %~ \\ & = \int_{\TD} \exp(-\beta (H_1(\p,\vel)-H_0(\p,\vel))) \d{\mu_0(\p,\vel)}
  %~ = \EXP_{\mu_0}(A)
  %~ \text{.}
%~ \end{align*}
\begin{align*}
  e^{-\beta \Delta F}
  = \frac{Z_{\mu_1}}{Z_{\mu_0}}
  = Z_{\mu_0}^{-1} \int_{\TD} e^{-\beta H_1(\p,\vel)} \d{(\p,\vel)}
  = \int_{\TD} e^{-\beta (H_1(\p,\vel)-H_0(\p,\vel))} \d{\mu_0}
  = \EXP_{\mu_0}(A)
  \text{.}
\end{align*}
Therefore, if $(\p(t),\vel(t))_{t \geq 0}$ is a realization of the dynamics~\eqref{eq:langevin} and ergodic in the sense of~\eqref{eq:ergodic}, and if furthermore $(\p_{\tau,i},\vel_{\tau,i})_{i \in \{0,\dots,N\}}$ is a discrete approximation with step size $\tau \in \R_{>0}$, then
%the free energy difference may be approximated by
%~ \begin{align*}
  %~ \Delta F
  %~ & = -\frac{1}{\beta} \ln(\EXP_{\mu_0}(A))
  %~ \\ & = -\frac{1}{\beta} \ln\left( \lim_{T \to \infty} \frac{1}{T} \int_0^T e^{-\beta(H_1(\p(t),\vel(t))-H_0(\p(t),\vel(t)))} \d{t} \right)
  %~ \\ & \approx - \frac{1}{\beta} \ln\left(\frac{1}{\tau N} \sum_{i=0}^N e^{-\beta(H_1(\p_{\tau,i},\vel_{\tau,i})-H_0(\p_{\tau,i},\vel_{\tau,i}))} \right)
  %~ \text{.}
%~ \end{align*}
one may approximate
\begin{align*}
  e^{-\beta\Delta F}
  = \EXP_{\mu_0}(A)
  & = \lim_{T \to \infty} \frac{1}{T} \int_0^T e^{-\beta(H_1(\p(t),\vel(t))-H_0(\p(t),\vel(t)))} \d{t}
  \\ & \approx \frac{1}{N} \sum_{i=0}^N e^{-\beta(H_1(\p_{\tau,i},\vel_{\tau,i})-H_0(\p_{\tau,i},\vel_{\tau,i}))}
  \text{.}
\end{align*}
If both $H_0(\p,\vel) = V_0(\p) + \Ekin(\vel)$ and $H_1(\p,\vel) = V_1(\p) + \Ekin(\vel)$ are separable Hamiltonians with the same kinetic energy term $\Ekin$, then the formula reduces further to
%~ \begin{align*}
  %~ \Delta F
  %~ = -\frac{1}{\beta} \ln\left( \lim_{T \to \infty} \frac{1}{T} \int_0^T e^{-\beta(V_1(\p(t))-V_0(\p(t))} \d{t} \right)
  %~ \approx  -\frac{1}{\beta} \ln\left(\frac{1}{\tau N} \sum_{i=0}^N e^{-\beta(V_1(\p_{\tau,i})-V_0(\p_{\tau,i})} \right)
%~ \end{align*}
\begin{align*}
  e^{-\beta\Delta F}
  = \lim_{T \to \infty} \frac{1}{T} \int_0^T e^{-\beta(V_1(\p(t))-V_0(\p(t))} \d{t}
  \approx \frac{1}{N} \sum_{i=0}^N e^{-\beta(V_1(\p_{\tau,i})-V_0(\p_{\tau,i}))}
\end{align*}
where the trajectory $(p(t))_{t \in \R_{>0}}$ needs to be ergodic with respect to the probability density~$\nu_0$ over the configuration space~$\cD$.
It is defined by
\begin{align*}
  \nu_0(\p) := Z_{\nu_0}^{-1} \exp(-\beta V_0(\p)), \qquad Z_{\nu_0} := \int_{\cD} \exp(-\beta V_0(\p)) \d{\p}
\end{align*}
Under certain conditions, such a trajectory $(\p(t))_{t \geq 0}$ is obtained from samples of the \emph{overdamped Langevin equation}
\begin{align*}
  %~ \label{eq:langevinOverdamped}
  \d{\p(t)} = -\nabla\EI(\p(t)) + \sqrt{\frac{2}{\beta}}\d{W_t}
\end{align*}
where $W_t$ is again a $(k\times n)$-dimensional Brownian motion.
% and \TK{$\beta$ is such that it preserves the canonical measure} \TK{REF}.
This equation is arguably the most easily discretized via the \emph{explicit Euler--Maruyama-scheme}
\begin{align}
  \label{eq:eulerMaruyama}
  \p_{\tau,i+1} = \p_{\tau,i}-\tau\nabla\EI(\p_{\tau,i}) + \sqrt{\frac{2\tau}{\beta}} G_i
\end{align}
where the entries of the $G_i \in \R^{n\times k}$ are independent and identically distributed centered Gaussian random variables with unit variance.
Since, mathematically speaking, this is very closely related to a (systematically) perturbed gradient flow method, the computation of free energy differences is immediately accessible by means of the implementation introduced in the earlier chapters.
A numerical illustration is shown in \cref{thm:exampleFreeEnergy} and \cref{fig:freeEnergy}.
%~ \TK{Make relation to our results.}

\begin{example}
  \label{thm:exampleFreeEnergy}
  %~ Similar to the setting in \cref{sec:exp1}, 
  Consider a single conical inclusion over a flat circular domain in Monge-gauge, $\cM_0 := \Omega := \{ x \in \R^2 \mid \norm{x} \leq 1\}$,
  and let the particle induce a circular particle--membrane interface of radius $0.1$, \ie $\cG_0 := \Gamma_0 := \{ x \in \R^2 \mid \norm{x} = 0.1 \}$.
  The bending rigidity is set to $\kappa = 1$ and surface tension is neglected, $\sigma = 0$.
  It is assumed that the particle is free to move in space laterally, but
  %~ neither vertical movement nor rotations are admitted.
  no vertical movement is admitted.
  Hence, the particle state is described by a two-dimensional position vector $\p \in \cD \subseteq \R^2$ where the configuration space is set to $\cD := \{\p \in \R^2 \mid \norm{p} < 0.9\}$ in order to avoid collision of the particle with the outer boundary $\partial\Omega$.
  The parametric interfaces are given by $\Gamma(\p) := \{ x \in \R^2 \mid \norm{x-\p} = 0.1 \}$ and the induced Dirichlet boundary conditions read $u|_{\Gamma(\p)} = 0$, $\partial_\nu|_{\Gamma(\p)} = s$ where $s \in \R$ is a fixed slope.
  Homogeneous Dirichlet conditions are imposed $\p$-independently on $\partial\Omega$.

  The aim is to investigate how the free energy of this system changes upon changes in the slope~$s$.
  To this end, the energy perturbation method is applied to the system for computing the free energy differences $\Delta F(s) := F(s) - F(s_0)$.
  The reference slope is chosen to be $s_0 := 0.1$ and the inverse temperature is set to $\beta = 25$.

  \begin{figure}
    \begin{center}
      % WARNING: THIS IS INCREDIBLY HACKY!! (But avoids tedious usage of TikZ.)
      \includegraphics[width=0.3\textwidth]{free_energy_trajectory.pdf}
      \hfill
      \incsvg{0.3\textwidth}{free_energy_convergence}\hfill
      \incsvg{0.3\textwidth}{free_energy_differences}
    \end{center}
    \caption{Numerical results as obtained from application of the free energy perturbation method applied to \cref{thm:exampleFreeEnergy}.
    From left to right:
    a)~Positions in a trajectory generated by the Euler--Maruyama scheme~$\eqref{eq:eulerMaruyama}$.
    b)~Convergence of the energy perturbation method to $\Delta F(0.2)$ for $\tau \to 0$ and $T \to \infty$.
    c)~Free energy differences~$\Delta F(s)$ for $s \in [0.1,1]$.
    %Left: Visualization of a typical trajectory generated by the Euler--Maruyama-scheme~$\eqref{eq:eulerMaruyama}$.
    %Right: Error in the free energy difference as a function of the step size $\tau$ for fixed $T = $ \TK{TODO}. \TK{Different lines indicate typical sample, mean and variance.}}
    }
    \label{fig:freeEnergy}
  \end{figure}
  
  %~ \begin{textblock}{0}(2.8,1.6) \footnotesize a) \end{textblock}
  %~ \begin{textblock}{0}(6.7,1.6) \footnotesize b) \end{textblock}
  %~ \begin{textblock}{0}(10.5,1.6) \footnotesize c) \end{textblock}
  \begin{textblock}{0}(2.5,1.9) \footnotesize a) \end{textblock}
  \begin{textblock}{0}(6.4,1.9) \footnotesize b) \end{textblock}
  \begin{textblock}{0}(10.2,1.9) \footnotesize c) \end{textblock}
  
  Numerical results are presented in \cref{fig:freeEnergy}.
  The black points in plot a) show the positions of an example trajectory generated by the Euler--Maruyama scheme~$\eqref{eq:eulerMaruyama}$ with $\tau = 0.01$ and $T = 1000$. The circular domain depicts the membrane domain~$\Omega$ and bright colors indicate the position density of the trajectory as obtained from a kernel density estimate.
  There it is visible how the dynamics explore the position space~$\cD$ while residing preferentially in the central high probability areas of the canonical measure.
  In b) the convergence behavior of the energy perturbation method is explored at $s = 0.2$ for $\tau \to 0$ and $T \to \infty$ in a double logarithmic plot.
  To this end, the exact value~$\Delta F(s)$ was approximated by standard quadrature schemes and the energy perturbation method was applied for various step sizes~$\tau \in [10^{-3}, 0.1]$ and with $T = \tau^{-1}$.
  At each point the solid line shows the mean error of the values obtained from 2500~runs of the energy perturbation method given the corresponding $\tau$-value,
  and the adjacent yellow shaded area depicts this mean error plus or minus one standard deviation.
  One observes that the method converges roughly with rate $\frac{1}{2}$.
  In order to assess the optimality of this behavior a more extensive study of parameter choices or the consideration of enhanced methods may be advised.
  %~ although the rate of convergence is relatively slow.
  %~ Hence, a more extensive study of parameter choices or the consideration of enhanced methods may be advised.
  Finally, figure~c) shows a plot of the free energy differences~$\Delta F(s)$ for $s \in [s_0, 1]$.
  The dotted curve shows the exact values as computed by a numerical quadrature scheme and the solid line shows the mean of results obtained from $100$~trajectories in the energy perturbation method with $\tau = 0.1$ and $T = 1$ where the initial position always is $\p^0 = 0$.
  The surrounding yellow shaded area indicates the mean value plus or minus two standard deviations.
  While this approximation is rather simple, it is already sufficient to replicate the qualitative behavior of the exact values.
  Indeed further computations showed that the difference between the two curves would quickly become indistinguishable for more expensive parameter choices.
  While this is a promising first result in favor of the applicability of the free energy perturbation method in the context of hybrid particle--membrane interaction models, further investigations are still required in order to ensure the applicability of the method in more challenging applications as well.
\end{example}

Altogether, these considerations merely open a first perspective onto the possibilities of the application of stochastic gradient-type methods in the context of membrane-mediated particle interactions.
A comprehensive introduction to free energy computations, including further approximation methods and convergence results is found in~\cite{LeStRo10}.
Here future challenges may in particular lie in the further development and statistical justification of the model and the more efficient computation of free energy differences.
Also, uses of Langevin-type computations beyond free energies might be of interest, for example in the context of global optimization via so-called \emph{simulated annealing methods}, see \eg \cite{HoPa95,HoPaRo02} for an introduction.

\begin{comment}

\begin{itemize}
  \item
    Looking back we:
    \begin{itemize}
      \item Formulated the Monge-gauge with respect to ``arbitrary'' reference domains
      \item Learned about the differentiability of the interaction potential for an extensive range of relevant models
      \item Found a way to represent the derivative in a numerically feasible way (including error bounds)
      \item Developed numerical schemes where necessary
      \item (Verified rates of convergence)
      \item Illustrated the potential of the results with the help of some ``real'' examples
    \end{itemize}
    
  \item
    Next we see:
    \begin{itemize}
      \item Most importantly: Statistical mechanics (leading to Langevin-equations; cf. Leli\`evre)
      \item (possibly) Improvement of results and analysis regarding the optimization: Higher order methods, perturbed gradient method error, more specifics on the global optimization (such as more specific bound on the constant)
      \item (possibly) Improvement of solver/general numerics
      \item (possibly) Application to larger problem classes (\eg nonlinear energies)
      \item (possibly) Extension to larger problem classes (\eg nonparametric surfaces)
    \end{itemize}
\end{itemize}


\section{Summary and extensions??}

\section{Outlook: Free energy computations}

\end{comment}
